Dist-upgrade

Aus DebianforumWiki

Wechseln zu: Navigation, Suche

Nach einer Aktualisierung, sind manchmal doch noch Dinge von Hand zu erledigen:

Drucker

Aktualisieren der CUPS+Gutenprint PPD-Dateien

Wenn der Drucker streikt, kann man im Log /var/log/cups/error_log nachsehen, ob ein cups-genppdupdate(8) ausgeführt werden muss:

root@debian:~# cups-genppdupdate

Hier noch ein Auszug aus dem Log:

...
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: ============================================================
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: 5.2.11 Starting
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: command line: MG5500-series \'48\' \'inne\' \'Testseite\' \'1\' <args>
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: using PPD file /etc/cups/ppd/MG5500-series.ppd
D [21/Jun/2017:13:29:05 +0200] [Job 48] Set job-printer-state-message to "The PPD version (5.2.10) is not compatible with Gutenprint 5.2.11.", current level=ERROR
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: If you have upgraded your version of Gutenprint
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: recently, you must reinstall all printer queues.
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: If the previous installed version of Gutenprint
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: was 5.0.0 or higher, you can use the `cups-genppdupdate.5.2\'
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: program to do this; if the previous installed version
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: was older, you can use the Modify Printer command via
D [21/Jun/2017:13:29:05 +0200] [Job 48] Gutenprint: the CUPS web interface: http://localhost:631/printers.
...
Meine Werkzeuge